<section>
  <a [routerLink]="['']">
    Accueil
  </a>
  <ul nz-list [nzDataSource]="(productList$ | async)!" nzBordered nzSize="large" nzNoResult="Panier vide">
    <li nz-list-item *ngFor="let product of productList$ | async" nzNoFlex>
      <ul nz-list-item-actions>
        <nz-list-item-action>
          <a (click)="removeProduct(product.id)">
            <span>-</span>
          </a>
        </nz-list-item-action>
      </ul>
      <span>{{ product.productName }}</span>
      <span>Qte: {{ product.selectedQuantity }}</span>
      <span>Taxes: {{ product.taxes | currency : 'EUR' }}</span>
      <span>Prix unitaire HT: {{ product.price | currency : 'EUR' }}</span>
      <span>Prix unitaire TTC: {{ product.taxedPrice | currency : 'EUR' }}</span>
    </li>
  </ul>
  <ng-container *ngIf="hasProductsInCart$ | async">
    <p>Total taxes: {{ totalTaxes$ | async | currency : 'EUR' }}</p>
    <p>Total TTC: {{ totalPrice$ | async | currency : 'EUR' }}</p>
  </ng-container>
</section>
